### Constructor

# Ide Location new

#### Declaration

    IdeLocation*
    ide_location_new (
      GFile* file,
      gint line,
      gint line_offset
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`line` | `gint`
| No description available.
`line_offset` | `gint`
| No description available.

#### Return value

Returns: | `IdeLocation`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.